services:
  commercial_credit.exist_filter:
    parent: 'api_platform.doctrine.orm.exists_filter'
    arguments: [ { childrens: ~ } ]
    tags:  [ 'api_platform.filter' ]

  commercial_credit.order_filter:
    parent: 'api_platform.doctrine.orm.order_filter'
    arguments:
      $properties: { createdAt: ~, updatedAt: ~, id: ~ }
      $orderParameterName: order
    tags: [ 'api_platform.filter' ]

  commercial_credit.search_filter:
    parent: 'api_platform.doctrine.orm.search_filter'
    arguments: [ { id: 'exact', commercial: 'exact', 'commercial.id': 'exact' } ]
    tags:  [ 'api_platform.filter' ]

  commercial_credit.usable_filter:
    tags: [ 'api_platform.filter' ]
    class: App\Filter\UsableFilter
    arguments:
      $managerRegistry: '@Doctrine\Persistence\ManagerRegistry'

  commercial_credit.boolean_filter:
    parent: 'api_platform.doctrine.orm.boolean_filter'
    arguments: [ { paid: ~ } ]
    tags: [ 'api_platform.filter' ]